API Reference
Settings
Store configuration and preferences.
3 endpoints· Auth: API Key
get
/api/v1/store/integrations/settings API KeyGet settings
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/settings" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/settings API KeyCreate settings
Request body
application/json
{
"currencyCode": "string",
"timezone": "string",
"industry": "string",
"countryCode": "string",
"language": "string",
"taxEnabled": false,
"taxRate": 0,
"taxNumber": "string"
}| currencyCode string | — |
| timezone string | — |
| industry string | — |
| countryCode string | — |
| language string | — |
| taxEnabled boolean | — |
| taxRate number (double) | — |
| taxNumber string | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/settings" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"currencyCode": "string",
"timezone": "string",
"industry": "string",
"countryCode": "string",
"language": "string",
"taxEnabled": false,
"taxRate": 0,
"taxNumber": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/settings API KeyUpdate settings
Request body
application/json
{
"currencyCode": "string",
"timezone": "string",
"industry": "string",
"countryCode": "string",
"language": "string",
"taxEnabled": false,
"taxRate": 0,
"taxNumber": "string",
"includeShippingInRevenue": false,
"allowNegativeStock": false,
"enablePackageWeight": false,
"enablePackageDimensions": false,
"defaultPackageSizeId": "00000000-0000-0000-0000-000000000000",
"defaultDeliveryCompanyId": "00000000-0000-0000-0000-000000000000"
}| currencyCode string | — |
| timezone string | — |
| industry string | — |
| countryCode string | — |
| language string | — |
| taxEnabled boolean | — |
| taxRate number (double) | — |
| taxNumber string | — |
| includeShippingInRevenue boolean | — |
| allowNegativeStock boolean | — |
| enablePackageWeight boolean | — |
| enablePackageDimensions boolean | — |
| defaultPackageSizeId string (uuid) | — |
| defaultDeliveryCompanyId string (uuid) | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/settings" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"currencyCode": "string",
"timezone": "string",
"industry": "string",
"countryCode": "string",
"language": "string",
"taxEnabled": false,
"taxRate": 0,
"taxNumber": "string",
"includeShippingInRevenue": false,
"allowNegativeStock": false,
"enablePackageWeight": false,
"enablePackageDimensions": false,
"defaultPackageSizeId": "00000000-0000-0000-0000-000000000000",
"defaultDeliveryCompanyId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu